List Transit orders
curl --request GET \
--url https://api.paxoslabs.com/v1/transit/orders \
--header 'x-api-key: <api-key>'import requests
url = "https://api.paxoslabs.com/v1/transit/orders"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.paxoslabs.com/v1/transit/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"nextPageToken": "eyJvZmZzZXQiOjUwfQ==",
"orders": [
{
"id": "0x2680b1256a66f8e762a64b2dda813a071356530715f0084d38f0c67cd8a2068f",
"offerAsset": "0xA0b86991c6218b36c1d19D4a2e9Eb0cE3606eB48",
"wantAsset": "0x833589fcd6edb6e08f4c7c32d4f71b54bda02913",
"amountDue": "1000000",
"remainingAmountDue": "0",
"offerAmount": "1000000",
"receiver": "0x1234567890abcdef1234567890abcdef12345678",
"distributorCode": "0x0000000000000000000000000000000000000000000000000000000000000000",
"destinationChainId": 8453,
"sourceChainId": 1,
"receiveTime": 1735689600,
"user": "0x1234567890abcdef1234567890abcdef12345678",
"createdAt": "2026-01-21T15:04:05Z",
"updatedAt": "2026-01-21T15:14:05Z",
"tokenMetadata": {},
"orderExecuteds": [
{
"id": 46630717681786,
"amount": "1000000",
"remaining": "0",
"timestamp": 1780933936,
"txHash": "0xbf747f3281c538b42c6e7730007867d1bf6107ea33722b860c05be61e8b9bc57",
"chainId": 46630
}
]
}
]
}{
"error": {
"code": 400,
"message": "Invalid filter syntax.",
"status": "INVALID_ARGUMENT",
"details": [
{
"@type": "type.paxoslabs.dev/errors/BadRequest",
"fieldViolations": [
{
"field": "filter",
"description": "vaultAddress 0x0x is an invalid hex address."
}
]
}
]
}
}Transit
List Transit orders
Returns a paginated list of historical Transit orders for the given user address.
GET
/
v1
/
transit
/
orders
List Transit orders
Authorizations
API key in format: pxl_<public_id>_
Query Parameters
Maximum number of items to return. Default: 25 when omitted. Min: 1, max: 100.
Required range:
1 <= x <= 100Example:
25
Opaque token for the next page. Omit for the first page of results.
User wallet address whose order history is being fetched.
Example:
"0x1234567890abcdef1234567890abcdef12345678"
AIP-160 filter expression. Supported keys: offerAsset, wantAsset, sourceChain, destinationChain, status.
Example:
"status=PROCESSED"
⌘I